Skip to main content

Depository statements

OpenAPI 1.0.0

Депозитарные выписки

Скачать исходную спецификацию

Варианты

  • Public

Операции API

GET /v1/statements/files/{id}/download — Method for obtaining a zip file with the results of the task of generating depository statements

Метод получения zip-файла с результатами выполнения задачи формирования депозитарных выписок

{
  "description": "Метод получения zip-файла с результатами выполнения задачи формирования депозитарных выписок",
  "operationId": "getStatementTaskResult",
  "parameters": [
    {
      "$ref": "#/components/parameters/FileIdPathParam"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader_1"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/zip": {
          "schema": {
            "format": "binary",
            "type": "string"
          }
        }
      },
      "description": "файл типа application/zip в котором названия поддиректорий соответствуют запрашиваемым форматам выписок"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "$ref": "#/components/examples/ErrorResponseExample"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "Плохой запрос"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "accessToken": []
    },
    {
      "idToken": []
    },
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/custody"
    }
  ],
  "summary": "Method for obtaining a zip file with the results of the task of generating depository statements",
  "tags": [
    "custody"
  ]
}

POST /v1/statements/tasks — Creating a task for generating depository statements

Метод создания задачи на формирование депозитарных выписок

{
  "description": "Метод создания задачи на формирование депозитарных выписок",
  "operationId": "createStatementTask",
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader_1"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "simple": {
            "$ref": "#/components/examples/TaskCreateRequestExample"
          }
        },
        "schema": {
          "$ref": "#/components/schemas/TaskCreateRequest"
        }
      }
    },
    "description": "Создание задачи на формирование депозитарных выписок",
    "required": true
  },
  "responses": {
    "202": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "$ref": "#/components/examples/TaskCreateResponseExample"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/TaskResponse"
          }
        }
      },
      "description": "Информация по созданной задаче на формирование выписок"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "$ref": "#/components/examples/ErrorResponseExample"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "Плохой запрос"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "accessToken": []
    },
    {
      "idToken": []
    },
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/custody"
    }
  ],
  "summary": "Creating a task for generating depository statements",
  "tags": [
    "custody"
  ]
}

GET /v1/statements/tasks/page — Get a list of tasks for generating depository statements

Метод получения списка задач на формирование депозитарных выписок

{
  "description": "Метод получения списка задач на формирование депозитарных выписок",
  "operationId": "getStatementTasks",
  "parameters": [
    {
      "$ref": "#/components/parameters/PageNumberParam"
    },
    {
      "$ref": "#/components/parameters/PageSizeParam"
    },
    {
      "$ref": "#/components/parameters/TaskIdQueryParam"
    },
    {
      "$ref": "#/components/parameters/TaskStatusParam"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader_1"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "$ref": "#/components/examples/TaskListResponseExample"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/TaskListResponse"
          }
        }
      },
      "description": "Список задач на формирование выписок"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "$ref": "#/components/examples/ErrorResponseExample"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "Плохой запрос"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "accessToken": []
    },
    {
      "idToken": []
    },
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/custody"
    }
  ],
  "summary": "Get a list of tasks for generating depository statements",
  "tags": [
    "custody"
  ]
}

GET /v1/statements/tasks/{id} — Get a task for generating depository statements

Метод получения информации по задаче на формирование депозитарных выписок

{
  "description": "Метод получения информации по задаче на формирование депозитарных выписок",
  "operationId": "getStatementTask",
  "parameters": [
    {
      "$ref": "#/components/parameters/TaskIdPathParam"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader_1"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "$ref": "#/components/examples/TaskResponseExample"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/TaskResponse"
          }
        }
      },
      "description": "Информация по задаче на формирование выписок"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "$ref": "#/components/examples/ErrorResponseExample"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "Плохой запрос"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "accessToken": []
    },
    {
      "idToken": []
    },
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/custody"
    }
  ],
  "summary": "Get a task for generating depository statements",
  "tags": [
    "custody"
  ]
}

Схемы и примеры

{
  "examples": {
    "ErrorResponseExample": {
      "description": "ErrorResponse",
      "summary": "Пример ошибки проверки запроса",
      "value": {
        "code": "VALIDATION_ERROR",
        "errors": null,
        "message": "Параметры запроса не прошли проверку",
        "traceId": "trace-example-001"
      }
    },
    "TaskCreateRequestExample": {
      "description": "TaskCreateRequest",
      "summary": "Пример запроса на создание задачи для получения выписок",
      "value": {
        "accounts": [
          "K550987654321",
          "K551234567890"
        ],
        "cnums": [
          "Z12345",
          "K98765"
        ],
        "dateFrom": "2023-12-29",
        "dateTo": "2023-12-31",
        "forceGeneration": true,
        "formats": [
          "PDF",
          "XML",
          "JSON"
        ],
        "locales": [
          "RUS"
        ],
        "type": "PORTFOLIO"
      }
    },
    "TaskCreateResponseExample": {
      "description": "TaskCreateResponse",
      "summary": "Пример ответа на создание задачи для получения выписок",
      "value": {
        "createdAt": "2024-11-05T15:30:00Z",
        "id": "19229514-5821-11f0-9fe2-0242ac120002",
        "results": [],
        "status": "NEW",
        "updatedAt": "2024-11-05T15:30:00Z"
      }
    },
    "TaskListResponseExample": {
      "description": "TaskListResponse",
      "summary": "Пример ответа со списком задач получения выписок",
      "value": [
        {
          "createdAt": "2024-11-05T15:30:00Z",
          "id": "19229514-5821-11f0-9fe2-0242ac120002",
          "results": [
            "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          ],
          "status": "DONE",
          "updatedAt": "2024-11-05T15:35:00Z"
        },
        {
          "createdAt": "2024-11-06T10:15:00Z",
          "id": "2c9a8081-7f70-4a4e-b8d2-9d1c2a3b4e5f",
          "results": [],
          "status": "IN_PROGRESS",
          "updatedAt": "2024-11-06T10:20:00Z"
        }
      ]
    },
    "TaskResponseExample": {
      "description": "TaskResponse",
      "summary": "Пример ответа по статусу задачи получения выписок",
      "value": {
        "createdAt": "2024-11-05T15:30:00Z",
        "id": "19229514-5821-11f0-9fe2-0242ac120002",
        "results": [
          "3fa85f64-5717-4562-b3fc-2c963f66afa6"
        ],
        "status": "DONE",
        "updatedAt": "2024-11-05T15:30:00Z"
      }
    }
  },
  "parameters": {
    "AuthorizationHeader": {
      "description": "Токен доступа",
      "in": "header",
      "name": "Authorization",
      "required": true,
      "schema": {
        "example": "Bearer QXV0aG9yaXphdGlvbiBIZWFkZXIgRm9yIFRlc3Rpbmc=",
        "format": "byte",
        "type": "string"
      }
    },
    "FileIdPathParam": {
      "description": "Идентификатор zip-архива с депозитарными выписками",
      "example": "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "$ref": "#/components/schemas/FileId"
      }
    },
    "IdTokenHeader_1": {
      "description": "Идентификационный токен пользователя",
      "in": "header",
      "name": "Id-Token",
      "required": true,
      "schema": {
        "example": "SUQgVE9LRU4gRk9SIFRFU1RJTkc=",
        "format": "byte",
        "type": "string"
      }
    },
    "PageNumberParam": {
      "description": "Номер страницы, начиная с нуля",
      "example": 0,
      "in": "query",
      "name": "number",
      "required": false,
      "schema": {
        "default": 0,
        "example": 0,
        "format": "int32",
        "type": "integer"
      }
    },
    "PageSizeParam": {
      "description": "Количество элементов на странице",
      "example": 10,
      "in": "query",
      "name": "size",
      "required": false,
      "schema": {
        "default": 10,
        "example": 10,
        "format": "int32",
        "type": "integer"
      }
    },
    "TaskIdPathParam": {
      "description": "Идентификатор задачи на формирование депозитарных выписок",
      "example": "071d129c-8fd3-11f0-8de9-0242ac120002",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "$ref": "#/components/schemas/TaskId"
      }
    },
    "TaskIdQueryParam": {
      "description": "Фильтр по идентификатору задачи",
      "example": "19229514-5821-11f0-9fe2-0242ac120002",
      "in": "query",
      "name": "id",
      "required": false,
      "schema": {
        "$ref": "#/components/schemas/TaskId"
      }
    },
    "TaskStatusParam": {
      "description": "Фильтр по статусу выполнения задачи",
      "examples": {
        "done": {
          "summary": "Завершена",
          "value": "DONE"
        },
        "failed": {
          "summary": "Ошибка",
          "value": "FAILED"
        },
        "new": {
          "summary": "Новая задача",
          "value": "NEW"
        },
        "progress": {
          "summary": "В обработке",
          "value": "IN_PROGRESS"
        }
      },
      "in": "query",
      "name": "status",
      "required": false,
      "schema": {
        "$ref": "#/components/schemas/TaskStatus"
      }
    }
  },
  "responses": {
    "InternalError": {
      "description": "Внутренняя ошибка"
    },
    "Unauthorized": {
      "description": "Аутентификация не пройдена"
    }
  },
  "schemas": {
    "ErrorResponse": {
      "properties": {
        "code": {
          "description": "Error code",
          "example": "VALIDATION_ERROR",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "type": "string"
          },
          "description": "Error details by fields",
          "example": null,
          "nullable": true,
          "type": "object"
        },
        "message": {
          "description": "Error description",
          "example": "Параметры запроса не прошли проверку",
          "type": "string"
        },
        "traceId": {
          "description": "Request trace ID",
          "example": "trace-example-001",
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    },
    "FileId": {
      "description": "Identifier of the generated zip archive file with statements",
      "example": "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
      "format": "uuid",
      "type": "string"
    },
    "Formats": {
      "description": "Statement file format",
      "enum": [
        "PDF",
        "XML",
        "JSON"
      ],
      "example": "PDF",
      "type": "string"
    },
    "Locales": {
      "description": "Statement language",
      "enum": [
        "RUS",
        "ENG"
      ],
      "example": "RUS",
      "type": "string"
    },
    "TaskCreateRequest": {
      "example": {
        "accounts": [
          "K550987654321",
          "K551234567890"
        ],
        "cnums": [
          "Z12345",
          "K98765"
        ],
        "dateFrom": "2023-12-29",
        "dateTo": "2023-12-31",
        "forceGeneration": true,
        "formats": [
          "PDF",
          "XML",
          "JSON"
        ],
        "locales": [
          "RUS"
        ],
        "type": "PORTFOLIO"
      },
      "properties": {
        "accounts": {
          "description": "Client accounts",
          "example": [
            "K550987654321",
            "K551234567890"
          ],
          "items": {
            "type": "string"
          },
          "type": "array",
          "uniqueItems": true
        },
        "cnums": {
          "description": "Set of unique client identifiers (CNUM)",
          "example": [
            "Z12345",
            "K98765"
          ],
          "items": {
            "type": "string"
          },
          "type": "array",
          "uniqueItems": true
        },
        "dateFrom": {
          "description": "Statement period start date",
          "example": "2023-12-29",
          "format": "date",
          "type": "string"
        },
        "dateTo": {
          "description": "Statement period end date",
          "example": "2023-12-31",
          "format": "date",
          "type": "string"
        },
        "forceGeneration": {
          "description": "Whether to regenerate the statement if it was generated earlier (true) or get it from the cache (false)",
          "example": true,
          "type": "boolean"
        },
        "formats": {
          "description": "Statement file formats",
          "example": [
            "PDF",
            "XML",
            "JSON"
          ],
          "items": {
            "$ref": "#/components/schemas/Formats"
          },
          "type": "array",
          "uniqueItems": true
        },
        "locales": {
          "description": "Statement languages",
          "example": [
            "RUS"
          ],
          "items": {
            "$ref": "#/components/schemas/Locales"
          },
          "type": "array",
          "uniqueItems": true
        },
        "type": {
          "$ref": "#/components/schemas/TaskType"
        }
      },
      "required": [
        "dateFrom",
        "type"
      ],
      "type": "object"
    },
    "TaskId": {
      "description": "Task ID for generating statements",
      "example": "19229514-5821-11f0-9fe2-0242ac120002",
      "format": "uuid",
      "type": "string"
    },
    "TaskListResponse": {
      "description": "Список задач на формирование депозитарных выписок",
      "example": [
        {
          "createdAt": "2024-11-05T15:30:00Z",
          "id": "19229514-5821-11f0-9fe2-0242ac120002",
          "results": [
            "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          ],
          "status": "DONE",
          "updatedAt": "2024-11-05T15:35:00Z"
        },
        {
          "createdAt": "2024-11-06T10:15:00Z",
          "id": "2c9a8081-7f70-4a4e-b8d2-9d1c2a3b4e5f",
          "results": [],
          "status": "IN_PROGRESS",
          "updatedAt": "2024-11-06T10:20:00Z"
        }
      ],
      "items": {
        "$ref": "#/components/schemas/TaskResponse"
      },
      "type": "array"
    },
    "TaskResponse": {
      "example": {
        "createdAt": "2024-11-05T15:30:00Z",
        "id": "19229514-5821-11f0-9fe2-0242ac120002",
        "results": [
          "3fa85f64-5717-4562-b3fc-2c963f66afa6"
        ],
        "status": "DONE",
        "updatedAt": "2024-11-05T15:30:00Z"
      },
      "properties": {
        "createdAt": {
          "description": "Date and time of task creation",
          "example": "2024-11-05T15:30:00Z",
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "$ref": "#/components/schemas/TaskId"
        },
        "results": {
          "description": "Identifiers of generated ZIP archives with statements",
          "example": [
            "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
            "40dcde3a-b26f-435b-93a5-2bbaaca1ddbf"
          ],
          "items": {
            "$ref": "#/components/schemas/FileId"
          },
          "type": "array",
          "uniqueItems": true
        },
        "status": {
          "$ref": "#/components/schemas/TaskStatus"
        },
        "updatedAt": {
          "description": "Date and time of the last update of the task completion status",
          "example": "2024-11-05T15:35:00Z",
          "format": "date-time",
          "type": "string"
        }
      },
      "type": "object"
    },
    "TaskStatus": {
      "description": "Status of the task execution for generating statements",
      "enum": [
        "NEW",
        "IN_PROGRESS",
        "FAILED",
        "DONE"
      ],
      "example": "DONE",
      "type": "string"
    },
    "TaskType": {
      "description": "Statement report type",
      "enum": [
        "PORTFOLIO",
        "TRANSACTIONS"
      ],
      "example": "PORTFOLIO",
      "type": "string"
    }
  },
  "securitySchemes": {
    "RaifApiAuthorization": {
      "scheme": "bearer",
      "type": "http"
    },
    "RaifApiIdToken": {
      "in": "header",
      "name": "Id-Token",
      "type": "apiKey"
    },
    "accessToken": {
      "bearerFormat": "JWT",
      "scheme": "bearer",
      "type": "http"
    },
    "idToken": {
      "in": "header",
      "name": "Id-Token",
      "type": "apiKey"
    }
  }
}
Page not found
Back to home
Raiffeisen Bank logosupport_openapi@raiffeisen.ru
1C:DirectBank & Smartegra IntegrationRaif Pay API
Bank of Russia LicensePersonal Data PolicyConsent to Data Processing

This website uses cookies to personalize services and improve your experience. To opt out, adjust your browser settings. © 2003 – 2026 Raiffeisenbank JSC